ValueExpressionLiteral (Apache Tomcat 9.0.81 API Documentation)

Package org.apache.el

## Class ValueExpressionLiteral

- java.lang.Object
- - javax.el.Expression
  - - javax.el.ValueExpression
    - - org.apache.el.ValueExpressionLiteral

- All Implemented Interfaces:
    `java.io.Externalizable`, `java.io.Serializable`

      public final class ValueExpressionLiteral
      extends ValueExpression
      implements java.io.Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValueExpressionLiteral()` |
    `ValueExpressionLiteral​(java.lang.Object value, java.lang.Class<?> expectedType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `boolean` | `equals​(ValueExpressionLiteral ve)` |
    `java.lang.Class<?>` | `getExpectedType()` |
    `java.lang.String` | `getExpressionString()` |
    `java.lang.Class<?>` | `getType​(ELContext context)` |
    `java.lang.Object` | `getValue​(ELContext context)` |
    `int` | `hashCode()` |
    `boolean` | `isLiteralText()` |
    `boolean` | `isReadOnly​(ELContext context)` |
    `void` | `readExternal​(java.io.ObjectInput in)` |
    `void` | `setValue​(ELContext context, java.lang.Object value)` |
    `void` | `writeExternal​(java.io.ObjectOutput out)` |

    - ### Methods inherited from class javax.el.ValueExpression

      `getValueReference`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueExpressionLiteral

          public ValueExpressionLiteral()

    - #### ValueExpressionLiteral

          public ValueExpressionLiteral​(java.lang.Object value,
                                        java.lang.Class<?> expectedType)

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue​(ELContext context)

      Specified by:
        `getValue` in class `ValueExpression`
      Parameters:
        `context` - The EL context for this evaluation
      Returns:
        The result of evaluating this value expression

    - #### setValue

          public void setValue​(ELContext context,
                               java.lang.Object value)

      Specified by:
        `setValue` in class `ValueExpression`
      Parameters:
        `context` - The EL context for this evaluation
        `value` - The value to set the property to which this value expression refers

    - #### isReadOnly

          public boolean isReadOnly​(ELContext context)

      Specified by:
        `isReadOnly` in class `ValueExpression`
      Parameters:
        `context` - The EL context for this evaluation
      Returns:
        `true` if this expression is read only otherwise `false`

    - #### getType

          public java.lang.Class<?> getType​(ELContext context)

      Specified by:
        `getType` in class `ValueExpression`
      Parameters:
        `context` - The EL context for this evaluation
      Returns:
        The type of the result of this value expression

    - #### getExpectedType

          public java.lang.Class<?> getExpectedType()

      Specified by:
        `getExpectedType` in class `ValueExpression`

    - #### getExpressionString

          public java.lang.String getExpressionString()

      Specified by:
        `getExpressionString` in class `Expression`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Specified by:
        `equals` in class `Expression`

    - #### equals

          public boolean equals​(ValueExpressionLiteral ve)

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Expression`

    - #### isLiteralText

          public boolean isLiteralText()

      Specified by:
        `isLiteralText` in class `Expression`

    - #### writeExternal

          public void writeExternal​(java.io.ObjectOutput out)
                             throws java.io.IOException

      Specified by:
        `writeExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`

    - #### readExternal

          public void readExternal​(java.io.ObjectInput in)
                            throws java.io.IOException,
                                   java.lang.ClassNotFoundException

      Specified by:
        `readExternal` in interface `java.io.Externalizable`
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`